Public Class frmMillionaire

    Private Sub btnCalc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalc.Click

        Dim intYears As Integer
        Dim sngRate As Single
        Dim sngAmount As Single

        sngAmount = Val(txtAmount.Text)
        sngRate = 1 + Val(txtRate.Text) / 100

        Do Until sngAmount >= 1000000
            sngAmount = sngAmount * sngRate
            intYears = intYears + 1
        Loop

        lblYears.Text = CStr(intYears)

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal eventArgs As System.EventArgs) Handles btnClear.Click

        txtAmount.Text = ""
        txtRate.Text = ""
        lblYears.Text = ""

        txtAmount.Focus()

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub txtAmount_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtAmount.GotFocus
        txtAmount.SelectAll()
    End Sub

    Private Sub txtAmount_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtAmount.KeyPress
        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)
    End Sub


    Private Sub txtRate_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtRate.GotFocus
        txtRate.SelectAll()
    End Sub

    Private Sub txtRate_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtRate.KeyPress

        If Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32 Then
            e.Handled = False
        ElseIf e.KeyChar = "." Then
            ' allow a decimal point only if one is not already there
            e.Handled = (txtRate.Text.IndexOf(".") > 0)
        Else
            e.Handled = True
        End If

    End Sub
    
End Class
